Update a check
curl --request PUT \
--url https://backstage.example.com/api/soundcheck/checks/{checkId} \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"ownerEntityRef": "<string>",
"name": "<string>",
"description": "<string>",
"filter": {},
"exclude": {},
"rule": {},
"applicable": {},
"warning": true,
"passedMessage": "<string>",
"failedMessage": "<string>",
"notApplicableMessage": "<string>",
"pathResolver": "<string>",
"skillEntityRef": "<string>"
}
'import requests
url = "https://backstage.example.com/api/soundcheck/checks/{checkId}"
payload = {
"id": "<string>",
"ownerEntityRef": "<string>",
"name": "<string>",
"description": "<string>",
"filter": {},
"exclude": {},
"rule": {},
"applicable": {},
"warning": True,
"passedMessage": "<string>",
"failedMessage": "<string>",
"notApplicableMessage": "<string>",
"pathResolver": "<string>",
"skillEntityRef": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
ownerEntityRef: '<string>',
name: '<string>',
description: '<string>',
filter: {},
exclude: {},
rule: {},
applicable: {},
warning: true,
passedMessage: '<string>',
failedMessage: '<string>',
notApplicableMessage: '<string>',
pathResolver: '<string>',
skillEntityRef: '<string>'
})
};
fetch('https://backstage.example.com/api/soundcheck/checks/{checkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"check": {
"id": "<string>",
"ownerEntityRef": "<string>",
"name": "<string>",
"description": "<string>",
"filter": {},
"exclude": {},
"skillEntityRef": "<string>"
}
}{
"error": {
"name": "<string>",
"message": "<string>"
},
"response": {
"statusCode": 123
},
"request": {
"method": "<string>",
"url": "<string>"
}
}"<string>"Checks
Update a check
Update a check by id. Supports three check types based on the fields provided:
- Rule-based (default): include a
rulefield with fact conditions. Soundcheck evaluates these automatically. - Manual: set
type: "manual". Results are entered by humans via the Soundcheck UI. - External: omit both
ruleandtype. An external system pushes results via POST /results.
PUT
/
checks
/
{checkId}
Update a check
Path Parameters
The ID of the check
Query Parameters
When true, also delete historical check results on rule change. Current results are always deleted. Defaults to false.
Available options:
true, false Body
application/json
A check definition. Supports three types based on fields provided: rule-based (include rule field), manual (set type to manual), or external (omit both rule and type).
Required string length:
1 - 100- object
- object[]
Show child attributes
Show child attributes
- object
- object[]
Show child attributes
Show child attributes
Fact checker rule (required for rule-based checks, omit for manual/external)
Applicability condition
Check type. Set to 'manual' for manual checks, 'default' or omit for rule-based checks.
Available options:
default, manual Minimum string length:
1Minimum string length:
1Minimum string length:
1Response
OK
Show child attributes
Show child attributes
⌘I